
package com.reactlibrarynativetoast;

import com.facebook.react.bridge.Arguments;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.facebook.react.bridge.Callback;
import com.facebook.react.bridge.WritableMap;
import com.facebook.react.uimanager.IllegalViewOperationException;

import android.bluetooth.BluetoothDevice;
import android.content.Context;
import android.widget.Toast;
import android.os.Bundle;

import me.aflak.bluetooth.Bluetooth;
import me.aflak.bluetooth.interfaces.DiscoveryCallback;


public class RNNativeToastLibraryModule extends ReactContextBaseJavaModule implements DiscoveryCallback {

  private final ReactApplicationContext reactContext;

  private Bluetooth bt = null;

  private Callback reactDeviceCallBack;

  Bundle params = new Bundle();

  public RNNativeToastLibraryModule(ReactApplicationContext reactContext) {
    super(reactContext);
    this.reactContext = reactContext;
  }

  @Override
  public String getName() {
    return "RNNativeToastLibrary";
  }

  private  Bluetooth getBt() {
    if (bt == null) {
      Context context = getReactApplicationContext();
      bt = new Bluetooth(context);
      bt.setDiscoveryCallback(this);
    }
    return bt;
  }

//  @ReactMethod
//  public void show(String text) {
//    Context context = getReactApplicationContext();
//    Toast.makeText(context, text, Toast.LENGTH_LONG).show();
//  }



  @ReactMethod
  public void setOnDeviceCallBack ( Callback onDeviceFound) {

    reactDeviceCallBack = onDeviceFound;

  }

  @ReactMethod
  public void testCallBack (String test) {
    bt = getBt()
    bt.setDiscoveryCallback(this);
    bt.startScanning();

    reactDeviceCallBack.invoke(test, "dududu");

  }
  @Override
  public void onDiscoveryStarted() {

  }

  @Override
  public void onDiscoveryFinished() {

  }

  @Override
  public void onDeviceFound(BluetoothDevice device) {
  //do somthing when device found by scan
    log.v(device.name)
  }

  @Override
  public void onDevicePaired(BluetoothDevice device) {

  }

  @Override
  public void onDeviceUnpaired(BluetoothDevice device) {

  }

  @Override
  public void onError(int errorCode) {

  }
}